VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Vcenter::Ovf::DeploymentOptionParams Class Reference
Inheritance diagram for Com::Vmware::Vcenter::Ovf::DeploymentOptionParams:

## Avaliable Methods
public method | set_deployment_options ()
public method | get_deployment_options ()
public method | set_type ()
public method | get_type ()
public method | get_selected_key ()
public method | new ()
public method | set_selected_key ()

## Detailed Description

The `Com::Vmware::Vcenter::Ovf::DeploymentOptionParams` class describes the possible deployment options as well as the choice provided by the user.

This information based on the ovf:DeploymentOptionSection.

See :func:`Com::Vmware::Vcenter::Ovf::LibraryItem.deploy` and :func:`Com::Vmware::Vcenter::Ovf::LibraryItem.filter` .

## Member Function Documentation

public method Com::Vmware::Vcenter::Ovf::DeploymentOptionParams::get_deployment_options | ( |  | ) |

Gets the value of 'deployment_options' property.

Return values

  deployment_options | - The current value of the field. List* of deployment options. This field corresponds to the ovf:Configuration elements of the ovf:DeploymentOptionSection in the specification. It is a discrete set of intended resource allocation configurations from which one can be selected. optional#

Code:
click to view
# Number of lines of code in get_deployment_options: 4
sub get_deployment_options {
my ($self, %args) = @_;
return $self->{'deployment_options'};
}

public method Com::Vmware::Vcenter::Ovf::DeploymentOptionParams::get_selected_key | ( |  | ) |

Gets the value of 'selected_key' property.

Return values

  selected_key | - The current value of the field. The selected deployment option. Identifies the class Com::Vmware::Vcenter::Ovf::DeploymentOption in the list in the `deploymentOptions` field* with a matching value in the :attr:`Com::Vmware::Vcenter::Ovf::DeploymentOption.key` field . optional#

Code:
click to view
# Number of lines of code in get_selected_key: 4
sub get_selected_key {
my ($self, %args) = @_;
return $self->{'selected_key'};
}

public method Com::Vmware::Vcenter::Ovf::DeploymentOptionParams::get_type | ( |  | ) |

Gets the value of 'type' property.

Return values

  type | - The current value of the field. Unique identifier describing the type of the OVF parameters. The value is the name of the OVF parameters class . optional#

Code:
click to view
# Number of lines of code in get_type: 4
sub get_type {
my ($self, %args) = @_;
return $self->{'type'};
}

public method Com::Vmware::Vcenter::Ovf::DeploymentOptionParams::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vcenter::Ovf::DeploymentOptionParams structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 20
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{deployment_options} = $args{'deployment_options'};
$self->{selected_key} = $args{'selected_key'};
$self->{type} = $args{'type'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Vcenter::Ovf::DeploymentOptionParams');
$self->set_binding_name('name' => 'com.vmware.vcenter.ovf.deployment_option_params');
$self->set_binding_field('key' => 'deployment_options', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::ListType(new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vcenter::Ovf', 'type_name' => 'DeploymentOption'))));
$self->set_binding_field('key' => 'selected_key', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::StringType()));
$self->set_binding_field('key' => 'type', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::StringType()));
bless $self, $class;
return $self;
}

public method Com::Vmware::Vcenter::Ovf::DeploymentOptionParams::set_deployment_options | ( |  | ) |

Sets the given value for 'deployment_options' property.

Parameters

  deployment_options | - New value for the field. List* of deployment options. This field corresponds to the ovf:Configuration elements of the ovf:DeploymentOptionSection in the specification. It is a discrete set of intended resource allocation configurations from which one can be selected.

Code:
click to view
# Number of lines of code in set_deployment_options: 5
sub set_deployment_options {
my ($self, %args) = @_;
$self->{'deployment_options'} = $args{'deployment_options'};
return;
}

public method Com::Vmware::Vcenter::Ovf::DeploymentOptionParams::set_selected_key | ( |  | ) |

Sets the given value for 'selected_key' property.

Parameters

  selected_key | - New value for the field. The selected deployment option. Identifies the class Com::Vmware::Vcenter::Ovf::DeploymentOption in the list in the `deploymentOptions` field* with a matching value in the :attr:`Com::Vmware::Vcenter::Ovf::DeploymentOption.key` field .

Code:
click to view
# Number of lines of code in set_selected_key: 5
sub set_selected_key {
my ($self, %args) = @_;
$self->{'selected_key'} = $args{'selected_key'};
return;
}

public method Com::Vmware::Vcenter::Ovf::DeploymentOptionParams::set_type | ( |  | ) |

Sets the given value for 'type' property.

Parameters

  type | - New value for the field. Unique identifier describing the type of the OVF parameters. The value is the name of the OVF parameters class .

Code:
click to view
# Number of lines of code in set_type: 5
sub set_type {
my ($self, %args) = @_;
$self->{'type'} = $args{'type'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vcenter/Ovf/DeploymentOptionParams.pm